import 'dart:async';

import 'package:fcs/data/services/services.dart';
import 'package:fcs/domain/vo/contact.dart';
import 'package:fcs/pages/main/model/base_model.dart';
import 'package:logging/logging.dart';

class ContactModel extends BaseModel {
  final log = Logger('ContactModel');

  Future<void> saveContact(Contact contact) async {
    await request("/contact", "PUT",
        payload: contact.toMap(),
        token: await Services.instance.authService.getToken());
    notifyListeners();
  }
}
